/************************************************************************
 * 			MEKATRONIX Copyright 1998 			*
 * Title        xsv1tjp.c                                               *
 * Programmer	Keith L. Doty	        				*
 * Date         Sept 04, 1998                                           *
 * Version	1			                		*
 *								        *
 * Description								*
 *   Move Servo_0 back and forth forever.	*
 *                                       				*     					*
 ************************************************************************/
 
/**************************** Includes **********************************/
#include <tjpbase.h>
/************************ End of includes *******************************/

void main(void)
/****************************** Main ***********************************/
{
  int i;

  init_servotjp();
  init_clocktjp();

  while(1)
    {  
      for(i=1000; i<4501; i+=20) /*Go in one direction*/
        {
          servo(0, i);  /*SERVOZ, PA4*/
          servo(1, i);  /*SERVO1, PA5*/
          servo(2,i);   /*SERVO2, PA6*/
          wait(40);     /*Wait 40 milliseconds between commands*/
        }
      for(i=4500; i>999; i-=20) /*Reverse direction*/
        {
          servo(0, i);
          servo(1, i);
          servo(2,i);
          wait(40);
        }
    }
 
}
/**************************** End of Main ******************************/
